replace remaining cdr github links

This commit is contained in:
Ben Potter 2022-01-30 07:32:43 -06:00
parent 97d864d09f
commit 0381f1400c
No known key found for this signature in database
GPG Key ID: D88BAF5A5C178BFA
18 changed files with 37 additions and 37 deletions

View File

@ -34,7 +34,7 @@ jobs:
# NOTE@jsjoeio # NOTE@jsjoeio
# disabling this until we can audit the build process # disabling this until we can audit the build process
# and the usefulness of this step # and the usefulness of this step
# See: https://github.com/cdr/code-server/issues/4287 # See: https://github.com/coder/code-server/issues/4287
# - name: Fetch dependencies from cache # - name: Fetch dependencies from cache
# id: cache-yarn # id: cache-yarn
# uses: actions/cache@v2 # uses: actions/cache@v2

View File

@ -50,7 +50,7 @@
{ {
"file": "src/node/heart.ts", "file": "src/node/heart.ts",
"line": 7, "line": 7,
"description": "code-server's heart beats to indicate recent activity.\n\nAlso documented here: [https://github.com/cdr/code-server/blob/master/docs/FAQ.md#heartbeat-file](https://github.com/cdr/code-server/blob/master/docs/FAQ.md#heartbeat-file)" "description": "code-server's heart beats to indicate recent activity.\n\nAlso documented here: [https://github.com/coder/code-server/blob/master/docs/FAQ.md#heartbeat-file](https://github.com/coder/code-server/blob/master/docs/FAQ.md#heartbeat-file)"
}, },
{ {
"file": "src/node/socket.ts", "file": "src/node/socket.ts",
@ -80,12 +80,12 @@
{ {
"file": "src/node/routes/domainProxy.ts", "file": "src/node/routes/domainProxy.ts",
"line": 18, "line": 18,
"description": "code-server provides a built-in proxy to help in developing web-based applications. This is the code for the domain-based proxy.\n\nAlso documented here: [https://github.com/cdr/code-server/blob/master/docs/FAQ.md#how-do-i-securely-access-web-services](https://github.com/cdr/code-server/blob/master/docs/FAQ.md#how-do-i-securely-access-web-services)" "description": "code-server provides a built-in proxy to help in developing web-based applications. This is the code for the domain-based proxy.\n\nAlso documented here: [https://github.com/coder/code-server/blob/master/docs/FAQ.md#how-do-i-securely-access-web-services](https://github.com/coder/code-server/blob/master/docs/FAQ.md#how-do-i-securely-access-web-services)"
}, },
{ {
"file": "src/node/routes/pathProxy.ts", "file": "src/node/routes/pathProxy.ts",
"line": 19, "line": 19,
"description": "Here is the path-based version of the proxy.\n\nAlso documented here: [https://github.com/cdr/code-server/blob/master/docs/FAQ.md#how-do-i-securely-access-web-services](https://github.com/cdr/code-server/blob/master/docs/FAQ.md#how-do-i-securely-access-web-services)" "description": "Here is the path-based version of the proxy.\n\nAlso documented here: [https://github.com/coder/code-server/blob/master/docs/FAQ.md#how-do-i-securely-access-web-services](https://github.com/coder/code-server/blob/master/docs/FAQ.md#how-do-i-securely-access-web-services)"
}, },
{ {
"file": "src/node/proxy.ts", "file": "src/node/proxy.ts",
@ -95,7 +95,7 @@
{ {
"file": "src/node/routes/health.ts", "file": "src/node/routes/health.ts",
"line": 5, "line": 5,
"description": "A simple endpoint that lets you see if code-server is up.\n\nAlso documented here: [https://github.com/cdr/code-server/blob/master/docs/FAQ.md#healthz-endpoint](https://github.com/cdr/code-server/blob/master/docs/FAQ.md#healthz-endpoint)" "description": "A simple endpoint that lets you see if code-server is up.\n\nAlso documented here: [https://github.com/coder/code-server/blob/master/docs/FAQ.md#healthz-endpoint](https://github.com/coder/code-server/blob/master/docs/FAQ.md#healthz-endpoint)"
}, },
{ {
"file": "src/node/routes/login.ts", "file": "src/node/routes/login.ts",
@ -145,7 +145,7 @@
{ {
"directory": "vendor/modules/code-oss-dev", "directory": "vendor/modules/code-oss-dev",
"line": 1, "line": 1,
"description": "code-server makes use of VS Code's frontend web/remote support. Most of the modifications implement the remote server since that portion of the code is closed source and not released with VS Code.\n\nWe also have a few bug fixes and have added some features (like client-side extensions). See [https://github.com/cdr/code-server/blob/master/docs/CONTRIBUTING.md#modifications-to-vs-code](https://github.com/cdr/code-server/blob/master/docs/CONTRIBUTING.md#modifications-to-vs-code) for a list.\n\nWe make an effort to keep the modifications as few as possible." "description": "code-server makes use of VS Code's frontend web/remote support. Most of the modifications implement the remote server since that portion of the code is closed source and not released with VS Code.\n\nWe also have a few bug fixes and have added some features (like client-side extensions). See [https://github.com/coder/code-server/blob/master/docs/CONTRIBUTING.md#modifications-to-vs-code](https://github.com/coder/code-server/blob/master/docs/CONTRIBUTING.md#modifications-to-vs-code) for a list.\n\nWe make an effort to keep the modifications as few as possible."
} }
] ]
} }

View File

@ -20,7 +20,7 @@
{ {
"file": "src/node/app.ts", "file": "src/node/app.ts",
"line": 62, "line": 62,
"description": "## That's it!\n\n\nThat's all there is to it! When this tour ends, your terminal session may stop, but just use `yarn watch` to start developing from here on out!\n\n\nIf you haven't already, be sure to check out these resources:\n- [Tour: Contributing](command:codetour.startTourByTitle?[\"Contributing\")\n- [Docs: FAQ.md](https://github.com/cdr/code-server/blob/master/docs/FAQ.md)\n- [Docs: CONTRIBUTING.md](https://github.com/cdr/code-server/blob/master/docs/CONTRIBUTING.md)\n- [Community: GitHub Discussions](https://github.com/cdr/code-server/discussions)\n- [Community: Slack](https://community.coder.com)" "description": "## That's it!\n\n\nThat's all there is to it! When this tour ends, your terminal session may stop, but just use `yarn watch` to start developing from here on out!\n\n\nIf you haven't already, be sure to check out these resources:\n- [Tour: Contributing](command:codetour.startTourByTitle?[\"Contributing\")\n- [Docs: FAQ.md](https://github.com/coder/code-server/blob/master/docs/FAQ.md)\n- [Docs: CONTRIBUTING.md](https://github.com/coder/code-server/blob/master/docs/CONTRIBUTING.md)\n- [Community: GitHub Discussions](https://github.com/coder/code-server/discussions)\n- [Community: Slack](https://community.coder.com)"
} }
] ]
} }

View File

@ -20,7 +20,7 @@ VS Code v99.99.999
--> -->
## [Unreleased](https://github.com/cdr/code-server/releases) ## [Unreleased](https://github.com/coder/code-server/releases)
VS Code v0.00.0 VS Code v0.00.0
@ -28,7 +28,7 @@ VS Code v0.00.0
- Add here - Add here
## [4.0.2](https://github.com/cdr/code-server/releases/tag/v4.0.2) - 2022-01-27 ## [4.0.2](https://github.com/coder/code-server/releases/tag/v4.0.2) - 2022-01-27
VS Code v1.63.0 VS Code v1.63.0
@ -39,7 +39,7 @@ VS Code v1.63.0
file is missing. While we do include the script now we are leaving the file is missing. While we do include the script now we are leaving the
variable omitted because the script does not work yet. variable omitted because the script does not work yet.
## [4.0.1](https://github.com/cdr/code-server/releases/tag/v4.0.1) - 2022-01-04 ## [4.0.1](https://github.com/coder/code-server/releases/tag/v4.0.1) - 2022-01-04
VS Code v1.63.0 VS Code v1.63.0
@ -77,7 +77,7 @@ implementation (#4414).
- We fixed a XSS vulnerability by escaping HTML from messages in the error page (#4430). - We fixed a XSS vulnerability by escaping HTML from messages in the error page (#4430).
## [3.12.0](https://github.com/cdr/code-server/releases/tag/v3.12.0) - 2021-09-15 ## [3.12.0](https://github.com/coder/code-server/releases/tag/v3.12.0) - 2021-09-15
VS Code v1.60.0 VS Code v1.60.0
@ -89,15 +89,15 @@ VS Code v1.60.0
- Fix logout when using a base path (#3608). - Fix logout when using a base path (#3608).
## [3.11.1](https://github.com/cdr/code-server/releases/tag/v3.11.1) - 2021-08-06 ## [3.11.1](https://github.com/coder/code-server/releases/tag/v3.11.1) - 2021-08-06
Undocumented (see releases page). Undocumented (see releases page).
## [3.11.0](https://github.com/cdr/code-server/releases/tag/v3.11.0) - 2021-06-14 ## [3.11.0](https://github.com/coder/code-server/releases/tag/v3.11.0) - 2021-06-14
Undocumented (see releases page). Undocumented (see releases page).
## [3.10.2](https://github.com/cdr/code-server/releases/tag/v3.10.2) - 2021-05-21 ## [3.10.2](https://github.com/coder/code-server/releases/tag/v3.10.2) - 2021-05-21
VS Code v1.56.1 VS Code v1.56.1
@ -113,7 +113,7 @@ VS Code v1.56.1
- Fix "Open Folder" on welcome page (#3437). - Fix "Open Folder" on welcome page (#3437).
## [3.10.1](https://github.com/cdr/code-server/releases/tag/v3.10.1) - 2021-05-17 ## [3.10.1](https://github.com/coder/code-server/releases/tag/v3.10.1) - 2021-05-17
VS Code v1.56.1 VS Code v1.56.1
@ -127,7 +127,7 @@ VS Code v1.56.1
- Use xdgBasedir.runtime instead of tmp (#3304). - Use xdgBasedir.runtime instead of tmp (#3304).
## [3.10.0](https://github.com/cdr/code-server/releases/tag/v3.10.0) - 2021-05-10 ## [3.10.0](https://github.com/coder/code-server/releases/tag/v3.10.0) - 2021-05-10
VS Code v1.56.0 VS Code v1.56.0
@ -158,4 +158,4 @@ VS Code v1.56.0
This was added with `3.10.0`, which means any previous versions are not This was added with `3.10.0`, which means any previous versions are not
documented in the changelog. documented in the changelog.
To see those, please visit the [Releases page](https://github.com/cdr/code-server/releases). To see those, please visit the [Releases page](https://github.com/coder/code-server/releases).

View File

@ -26,7 +26,7 @@ main() {
echo "Downloading the cloud agent..." echo "Downloading the cloud agent..."
set +e set +e
curl -fsSL "https://github.com/cdr/cloud-agent/releases/latest/download/cloud-agent-$OS-$ARCH" -o ./lib/coder-cloud-agent curl -fsSL "https://github.com/coder/cloud-agent/releases/latest/download/cloud-agent-$OS-$ARCH" -o ./lib/coder-cloud-agent
chmod +x ./lib/coder-cloud-agent chmod +x ./lib/coder-cloud-agent
set -e set -e
fi fi

View File

@ -5,7 +5,7 @@ set -eu
# Runs code-server with the bundled node binary. # Runs code-server with the bundled node binary.
_realpath() { _realpath() {
# See https://github.com/cdr/code-server/issues/1537 on why no realpath or readlink -f. # See https://github.com/coder/code-server/issues/1537 on why no realpath or readlink -f.
script="$1" script="$1"
cd "$(dirname "$script")" cd "$(dirname "$script")"
@ -16,7 +16,7 @@ _realpath() {
&& cat package.json | grep -q '^ "name": "code-server",$'; then && cat package.json | grep -q '^ "name": "code-server",$'; then
echo "***** Please use the script in bin/code-server instead!" >&2 echo "***** Please use the script in bin/code-server instead!" >&2
echo "***** This script will soon be removed!" >&2 echo "***** This script will soon be removed!" >&2
echo "***** See the release notes at https://github.com/cdr/code-server/releases/tag/v3.4.0" >&2 echo "***** See the release notes at https://github.com/coder/code-server/releases/tag/v3.4.0" >&2
fi fi
script="$(readlink "$(basename "$script")")" script="$(readlink "$(basename "$script")")"

View File

@ -8,7 +8,7 @@ maintainer: "Anmol Sethi <hi@nhooyr.io>"
description: | description: |
Run VS Code in the browser. Run VS Code in the browser.
vendor: "Coder" vendor: "Coder"
homepage: "https://github.com/cdr/code-server" homepage: "https://github.com/coder/code-server"
license: "MIT" license: "MIT"
contents: contents:

View File

@ -57,7 +57,7 @@ main() {
mkdir -p ./lib mkdir -p ./lib
if curl -fsSL "https://github.com/cdr/cloud-agent/releases/latest/download/cloud-agent-$OS-$ARCH" -o ./lib/coder-cloud-agent; then if curl -fsSL "https://github.com/coder/cloud-agent/releases/latest/download/cloud-agent-$OS-$ARCH" -o ./lib/coder-cloud-agent; then
chmod +x ./lib/coder-cloud-agent chmod +x ./lib/coder-cloud-agent
else else
echo "Failed to download cloud agent; --link will not work" echo "Failed to download cloud agent; --link will not work"
@ -65,7 +65,7 @@ main() {
if ! vscode_yarn; then if ! vscode_yarn; then
echo "You may not have the required dependencies to build the native modules." echo "You may not have the required dependencies to build the native modules."
echo "Please see https://github.com/cdr/code-server/blob/master/docs/npm.md" echo "Please see https://github.com/coder/code-server/blob/master/docs/npm.md"
exit 1 exit 1
fi fi

View File

@ -90,7 +90,7 @@ main() {
echo -e "\nOpening a draft PR on GitHub" echo -e "\nOpening a draft PR on GitHub"
# To read about these flags, visit the docs: https://cli.github.com/manual/gh_pr_create # To read about these flags, visit the docs: https://cli.github.com/manual/gh_pr_create
$CMD gh pr create --base main --title "release: $CODE_SERVER_VERSION_TO_UPDATE" --body "$RELEASE_TEMPLATE_STRING" --reviewer @cdr/code-server-reviewers --repo cdr/code-server --draft --assignee "@me" $CMD gh pr create --base main --title "release: $CODE_SERVER_VERSION_TO_UPDATE" --body "$RELEASE_TEMPLATE_STRING" --reviewer @coder/code-server-reviewers --repo coder/code-server --draft --assignee "@me"
# Open PR in browser # Open PR in browser
$CMD gh pr view --web $CMD gh pr view --web

View File

@ -1,6 +1,6 @@
apiVersion: v2 apiVersion: v2
name: code-server name: code-server
description: A Helm chart for cdr/code-server description: A Helm chart for coder/code-server
# A chart can be either an 'application' or a 'library' chart. # A chart can be either an 'application' or a 'library' chart.
# #

View File

@ -67,7 +67,7 @@ main() {
tar -xzf release-npm-package/package.tar.gz tar -xzf release-npm-package/package.tar.gz
# Ignore symlink when publishing npm package # Ignore symlink when publishing npm package
# See: https://github.com/cdr/code-server/pull/3935 # See: https://github.com/coder/code-server/pull/3935
echo "node_modules.asar" > release/.npmignore echo "node_modules.asar" > release/.npmignore
# NOTES:@jsjoeio # NOTES:@jsjoeio

View File

@ -185,12 +185,12 @@ If you're the current release manager, follow these steps:
artifacts, publish the NPM package from `npm-package`, and publish the Docker artifacts, publish the NPM package from `npm-package`, and publish the Docker
Hub image from `release-images`. Hub image from `release-images`.
1. Update the AUR package. Instructions for updating the AUR package are at 1. Update the AUR package. Instructions for updating the AUR package are at
[cdr/code-server-aur](https://github.com/cdr/code-server-aur). [coder/code-server-aur](https://github.com/coder/code-server-aur).
1. Wait for the npm package to be published. 1. Wait for the npm package to be published.
#### AUR #### AUR
We publish to AUR as a package [here](https://aur.archlinux.org/packages/code-server/). This process is manual and can be done by following the steps in [this repo](https://github.com/cdr/code-server-aur). We publish to AUR as a package [here](https://aur.archlinux.org/packages/code-server/). This process is manual and can be done by following the steps in [this repo](https://github.com/coder/code-server-aur).
#### Docker #### Docker
@ -217,7 +217,7 @@ This is currently automated with the release process.
## Syncing with Upstream VS Code ## Syncing with Upstream VS Code
The VS Code portion of code-server lives under [`cdr/vscode`](https://github.com/cdr/vscode). To update VS Code for code-server, follow these steps: The VS Code portion of code-server lives under [`coder/vscode`](https://github.com/coder/vscode). To update VS Code for code-server, follow these steps:
1. `git checkout -b vscode-update` - Create a new branch locally based off `main` 1. `git checkout -b vscode-update` - Create a new branch locally based off `main`
2. `git fetch upstream` - Fetch upstream (VS Code)'s latest `main` branch 2. `git fetch upstream` - Fetch upstream (VS Code)'s latest `main` branch
@ -247,7 +247,7 @@ Otherwise, talk to a current maintainer and ask which part of the codebase is la
Our docs are hosted on [Vercel](https://vercel.com/). Vercel only shows logs in realtime, which means you need to have the logs open in one tab and reproduce your error in another tab. Since our logs are private to Coder the organization, you can only follow these steps if you're a Coder employee. Ask a maintainer for help if you need it. Our docs are hosted on [Vercel](https://vercel.com/). Vercel only shows logs in realtime, which means you need to have the logs open in one tab and reproduce your error in another tab. Since our logs are private to Coder the organization, you can only follow these steps if you're a Coder employee. Ask a maintainer for help if you need it.
Taking a real scenario, let's say you wanted to troubleshoot [this docs change](https://github.com/cdr/code-server/pull/4042). Here is how you would do it: Taking a real scenario, let's say you wanted to troubleshoot [this docs change](https://github.com/coder/code-server/pull/4042). Here is how you would do it:
1. Go to https://vercel.com/codercom/codercom 1. Go to https://vercel.com/codercom/codercom
2. Click "View Function Logs" 2. Click "View Function Logs"

View File

@ -28,7 +28,7 @@ Coder sponsors the development and maintenance of the code-server project. We wi
| Version | Supported | | Version | Supported |
| ----------------------------------------------------- | ------------------ | | ----------------------------------------------------- | ------------------ |
| [Latest](https://github.com/cdr/code-server/releases) | :white_check_mark: | | [Latest](https://github.com/coder/code-server/releases) | :white_check_mark: |
## Reporting a Vulnerability ## Reporting a Vulnerability

View File

@ -3,7 +3,7 @@ import { spawn } from "child_process"
import path from "path" import path from "path"
import split2 from "split2" import split2 from "split2"
// https://github.com/cdr/coder-cloud // https://github.com/coder/coder-cloud
const coderCloudAgent = path.resolve(__dirname, "../../lib/coder-cloud-agent") const coderCloudAgent = path.resolve(__dirname, "../../lib/coder-cloud-agent")
function runAgent(...args: string[]): Promise<void> { function runAgent(...args: string[]): Promise<void> {

View File

@ -8,7 +8,7 @@ describe("constants", () => {
const mockPackageJson = { const mockPackageJson = {
name: "mock-code-server", name: "mock-code-server",
description: "Run VS Code on a remote server.", description: "Run VS Code on a remote server.",
repository: "https://github.com/cdr/code-server", repository: "https://github.com/coder/code-server",
version: "1.0.0", version: "1.0.0",
commit: "f6b2be2838f4afb217c2fd8f03eafedd8d55ef9b", commit: "f6b2be2838f4afb217c2fd8f03eafedd8d55ef9b",
} }

View File

@ -72,7 +72,7 @@ import Websocket from "ws"
* "plugin": { * "plugin": {
* "name": "test-plugin", * "name": "test-plugin",
* "version": "1.0.0", * "version": "1.0.0",
* "modulePath": "/Users/nhooyr/src/cdr/code-server/test/test-plugin", * "modulePath": "/Users/nhooyr/src/coder/code-server/test/test-plugin",
* "displayName": "Test Plugin", * "displayName": "Test Plugin",
* "description": "Plugin used in code-server tests.", * "description": "Plugin used in code-server tests.",
* "routerPath": "/test-plugin", * "routerPath": "/test-plugin",

2
vendor/package.json vendored
View File

@ -7,6 +7,6 @@
"postinstall": "./postinstall.sh" "postinstall": "./postinstall.sh"
}, },
"devDependencies": { "devDependencies": {
"code-oss-dev": "cdr/vscode#d4f09b4df0d23ead4389b4a69c6fad86ac358892" "code-oss-dev": "coder/vscode#d4f09b4df0d23ead4389b4a69c6fad86ac358892"
} }
} }

4
vendor/yarn.lock vendored
View File

@ -274,9 +274,9 @@ clone-response@^1.0.2:
dependencies: dependencies:
mimic-response "^1.0.0" mimic-response "^1.0.0"
code-oss-dev@cdr/vscode#d4f09b4df0d23ead4389b4a69c6fad86ac358892: code-oss-dev@coder/vscode#d4f09b4df0d23ead4389b4a69c6fad86ac358892:
version "1.63.0" version "1.63.0"
resolved "https://codeload.github.com/cdr/vscode/tar.gz/d4f09b4df0d23ead4389b4a69c6fad86ac358892" resolved "https://codeload.github.com/coder/vscode/tar.gz/d4f09b4df0d23ead4389b4a69c6fad86ac358892"
dependencies: dependencies:
"@microsoft/applicationinsights-web" "^2.6.4" "@microsoft/applicationinsights-web" "^2.6.4"
"@parcel/watcher" "2.0.3" "@parcel/watcher" "2.0.3"